Bug 1502660 - Annotated Binaries
Summary: Annotated Binaries
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking   
(Show other bugs)
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Clifton
QA Contact:
URL:
Whiteboard: ChangeAcceptedF28, SystemWideChange
Keywords:
Depends On: 1523401 1523875
Blocks: 1515985
TreeView+ depends on / blocked
 
Reported: 2017-10-16 11:51 UTC by Jan Kurik
Modified: 2018-05-02 12:05 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-02 12:05:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Kurik 2017-10-16 11:51:07 UTC
This is a tracking bug for Change: Fedora
For more details, see: https://fedoraproject.org//wiki/Changes/Annobin

This change causes extra information to be stored in binary files
compiled by gcc.  This information can be used by scripts to check on
various features of the file, such as the hardening options used or
potential ABI conflicts.

Comment 1 Fedora End Of Life 2018-02-20 15:32:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 Jan Kurik 2018-03-06 08:58:12 UTC
On 2018-Mar-08 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 28 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan


Note You need to log in before you can comment on or make changes to this bug.